//
//  CAOritatamiSimulator.swift
//  Oritatami Builder
//
//  Created by Nikao on 13/06/2019.
//  Copyright © 2019 Nikao. All rights reserved.
//

import UIKit

extension OritatamiSystem {
    
    static func CameleonInfiniteLineOS() -> OritatamiSystem {
        let os = OritatamiSystem()
        os.name = "Cameleon OS"
        os.delay = 6
        os.seedPath = [Direction.E,.E]
        let length = 18
        let beads = os.getBeads(categoryName: "A", range: 0..<length)
        for i in 0..<length {
            os.setAttraction(between: beads[i], and: beads[(i+6)%length], attract: true)
            os.setAttraction(between: beads[i], and: beads[(i+5)%length], attract: true)
        }
        os.beadTypeIdsSequence = beads + beads + beads
        
        return os
    }
        
}
