//
//  TriangularGridViewControllerExtension.swift
//  Oritatami Builder
//
//  Created by Nikao on 18/11/2019.
//  Copyright © 2019 Nikao. All rights reserved.
//

import UIKit

extension TriangularGridViewController: UIGestureRecognizerDelegate {
    func gestureRecognizer(_ gestureRecognizer: UIGestureRecognizer, shouldRequireFailureOf otherGestureRecognizer: UIGestureRecognizer) -> Bool {
        let tapRecognizers : [UIGestureRecognizer] = [ tapRecognizer1, tapRecognizer2, tapRecognizer3]
        if let i = tapRecognizers.firstIndex(of: gestureRecognizer), let j = tapRecognizers.firstIndex(of: otherGestureRecognizer) {
            return i < j
        }
        return false
    } 
}
