//
//  ViewController.swift
//  Oritatami Builder
//
//  Created by Nikao on 09/01/2019.
//  Copyright © 2019 Nikao. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        let beadTypeSet = BeadTypeSet()

        let a = ["A", "B", "C"]
        for _ in 0..<100 {
            let c = Int.random(in: 0..<a.count)
            let n = Int.random(in:0..<20)
            let b = beadTypeSet.beadType(category: a[c], number: n)
            print(b)
        }
        
        print(beadTypeSet)
   
        let rule = OritatamiRule()
        for _ in 0..<50 {
            let i = Int.random(in: 0..<beadTypeSet.count)
            let j = Int.random(in: 0..<beadTypeSet.count)
            rule.setAttraction(between: i, and: j, attract: Bool.random())
        }
        let jsonEncoder3 = JSONEncoder()
        jsonEncoder3.userInfo = [beadTypeSetUserInfoKey : beadTypeSet]
        let encodedData3 = try! jsonEncoder3.encode(rule)
        print(encodedData3)
        let jsonString3 = String(data:encodedData3, encoding: .utf8)!
        print(jsonString3)
        let jsonData3 = jsonString3.data(using: .utf8)!
        let bts2 = BeadTypeSet()
        let jsonDecoder3 = JSONDecoder()
        jsonDecoder3.userInfo = [beadTypeSetUserInfoKey : bts2]
        let r = try! jsonDecoder3.decode(OritatamiRule.self, from: jsonData3)
        print(r)
        print(r.encodeAsdictionnary(with: bts2))
        print(bts2)
        
        let b = BeadType(id: 0, name: "toto", categoryId: 1, number: 12, color: __Color.yellow)
        print(b)
        
        
        
        
        
        
        
        let jsonEncoder = JSONEncoder()
//        jsonEncoder.outputFormatting = JSONEncoder.OutputFormatting.prettyPrinted.union(.sortedKeys)
        let encodedData = try! jsonEncoder.encode(b)
        print(encodedData)
        let jsonString = String(data: encodedData, encoding: .utf8)!
        print(jsonString)
        
        let jsonData = jsonString.data(using: .utf8)!
        let b2 = try! JSONDecoder().decode(BeadType.self, from: jsonData)
        print(b2)
        
        
        let idseq : IdSequence = .array([.id(1), .ids([3,1,2]), .declare("toto",.array([.ids([1,2]),.times(.ids([3,4]),3)])),.times(.value("toto"),2)])
        
        print(idseq.sequence)
        
        let jsonEncoder2 = JSONEncoder()
        //        jsonEncoder.outputFormatting = JSONEncoder.OutputFormatting.prettyPrinted.union(.sortedKeys)
        let encodedData2 = try! jsonEncoder2.encode(idseq)
        print(encodedData2)
        let jsonString2 = String(data: encodedData2, encoding: .utf8)!
        print(jsonString2)
        
        let jsonData2 = jsonString2.data(using: .utf8)!
        let idseq2 = try! JSONDecoder().decode(IdSequence.self, from: jsonData2)
        print(idseq2)
        print(idseq2.sequence)

    }
}

